Method: partners.inventorySources.list

Lists inventory source deals.

HTTP request

GET https://displayvideo.googleapis.com/v5/partners/{partnerId}/inventorySources

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
Required. Identifies which DV360 entity the request is being made within. The LIST request will only return inventory source entities that are accessible to the DV360 entity identified within the accessor. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
partnerId

string (int64 format)

The ID of the DV360 partner.

End of mutually exclusive fields.

Query parameters

Parameters
pageSize

integer

Optional. Requested page size. Must be between 1 and 200. If unspecified will default to 100.

pageToken

string

Optional. A token identifying a page of results the server should return. Typically, this is the value of nextPageToken returned from the previous call to ListInventorySources method. If not specified, the first page of results will be returned.

orderBy

string

Optional. Field by which to sort the list. Acceptable values are:

  • displayName (default)

The default sorting order is ascending. To specify descending order for a field, a suffix "desc" should be added to the field name. For example, displayName desc.

filter

string

Optional. Allows filtering by inventory source fields.

Supported syntax:

  • Filter expressions are made up of one or more restrictions.
  • Restrictions can be combined by AND or OR logical operators. A sequence of restrictions implicitly uses AND.
  • A restriction has the form of {field} {operator} {value}.
  • All fields must use the EQUALS (=) operator.

Supported fields:

  • status.entityStatus
  • commitment
  • deliveryMethod
  • rateDetails.rateType
  • exchange

Examples:

  • All active inventory sources: status.entityStatus="ENTITY_STATUS_ACTIVE"
  • Inventory sources belonging to Google Ad Manager or Rubicon exchanges: exchange="EXCHANGE_GOOGLE_AD_MANAGER" OR exchange="EXCHANGE_RUBICON"

The length of this field should be no more than 500 characters.

Reference our filter LIST requests guide for more information.

Required. Identifies which DV360 entity the request is being made within. The LIST request will only return inventory source entities that are accessible to the DV360 entity identified within the accessor. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
advertiserId

string (int64 format)

The ID of the DV360 advertiser.

End of mutually exclusive fields.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of ListInventorySourceDealsResponse.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.